<p>operation works!</p>


<!--<div class="p-fluid p-grid">-->
<div class="p-grid ">
    <div class="p-field p-col-6 " style=" align: right">
        <p-dropdown [(ngModel)]="selectedCity1" [options]="cities" [showClear]="true" optionLabel="name"
                    placeholder="Select an account"></p-dropdown>
    </div>
    <div class="p-field p-col-6 " style=" align-self: flex-end">
        <p-dropdown [(ngModel)]="selectedCity2" [options]="cities" [showClear]="true" optionLabel="name"
                    placeholder="Status"></p-dropdown>
    </div>
</div>
<!--</div>-->
<br>
<br>
<br>
<div class="p-fluid p-grid">

    <!--<div class="p-grid ">-->

    <div class="p-field p-col-6">
      <span class="p-float-label p-input-icon-left">
        <i class="pi pi-user"></i>
        <input
                [(ngModel)]="Libelle"
                id="Libelle "
                pInputText
                type="text"
        />
        <label for="Libelle">Libelle</label>
      </span>
    </div>
    <div class="p-field p-col-12 p-md-4">
        <span class="p-float-label">
            <textarea [(ngModel)]="value10" cols="30" inputId="textarea" pInputTextarea rows="3"
                      style="resize: none;"></textarea>
            <label for="textarea">Textarea</label>
        </span>
    </div>
    <div class="p-field p-col-6 p-md-4">
        <span class="p-float-label p-input-icon-left">
            <i class="pi pi-search"></i>
            <input [(ngModel)]="Montant" id="Montant" pInputText type="text">
            <label for="Montant">Montant</label>
        </span>
    </div>
    <div class="p-field p-col-6 p-md-4">
        <span class="p-float-label p-input-icon-left">
            <i class="pi pi-search"></i>
            <input [(ngModel)]="Precision_de_la_date" id="Precision de la date" pInputText type="text">
            <label for="Precision de la date">Precision de la date</label>
        </span>
    </div>


    <div class="p-field p-col-6 p-md-4">
        <span class="p-float-label">
            <p-calendar [(ngModel)]="value3" inputId="calendar"></p-calendar>
            <label for="calendar">Calendar</label>
        </span>
    </div>

</div>
<!--</div>-->

<p-toast></p-toast>
<p-toast position="top-left" key="tl"></p-toast>
<p-toast position="top-center" key="tc"></p-toast>
<p-toast position="bottom-center" key="bc"></p-toast>

<p-toast position="bottom-center" key="c" (onClose)="onReject()" [baseZIndex]="5000">
    <ng-template let-message pTemplate="message">
        <div class="p-flex p-flex-column" style="flex: 1">
            <div class="p-text-center">
                <i class="pi pi-exclamation-triangle" style="font-size: 3rem"></i>
                <h4>{{message.summary}}</h4>
                <p>{{message.detail}}</p>
            </div>
            <div class="p-grid p-fluid">
                <div class="p-col-6">
                    <button type="button" pButton (click)="onConfirm()" label="Yes" class="p-button-success"></button>
                </div>
                <div class="p-col-6">
                    <button type="button" pButton (click)="onReject()" label="No" class="p-button-secondary"></button>
                </div>
            </div>
        </div>
    </ng-template>
</p-toast>
<p-toast position="top-left" key="tl"></p-toast>
<button type="button" pButton pRipple (click)="showSuccess()" label="Ajouter" class="p-button-success"></button>
<button type="button" pButton pRipple (click)="showWarn()" label="Modifier" class="p-button-warning"></button>
<button type="button" pButton pRipple (click)="showError()" label="supprimer" class="p-button-danger"></button>

<p-table #dt [(selection)]="selectedOperations" [filterDelay]="0" [globalFilterFields]="['name','country.name','representative.name','status']" [loading]="loading"
         [paginator]="true"
         [rowHover]="true" [rowsPerPageOptions]="[10,25,50]" [rows]="10" [showCurrentPageReport]="true"
         [value]="operation" currentPageReportTemplate="Showing {first} to {last} of {totalRecords} entries"
         dataKey="id" styleClass="p-datatable-customers">
    <ng-template pTemplate="caption">
        <div class="table-header">
            List of Operations
            <span class="p-input-icon-left">
                        <i class="pi pi-search"></i>
                        <input (input)="dt.filterGlobal($any($event.target).value, 'contains')" pInputText placeholder="Global Search"
                               type="text"/>
                    </span>
        </div>
    </ng-template>
    <ng-template pTemplate="header">
        <tr>
            <th style="width: 3rem"></th>
            <th pSortableColumn="date">Date
                <p-sortIcon field="date"></p-sortIcon>
            </th>
            <th pSortableColumn="montant">montant
                <p-sortIcon field="representative.name"></p-sortIcon>
            </th>
            <th pSortableColumn="status">Status
                <p-sortIcon field="status"></p-sortIcon>
            </th>
            <th pSortableColumn="Libelle">Libelle
                <p-sortIcon field="Libelle"></p-sortIcon>
            </th>
            <th pSortableColumn="compte">compte
                <p-sortIcon field="compte"></p-sortIcon>
            </th>
            <th pSortableColumn="commentaire">commentaire
                <p-sortIcon field="commentaire"></p-sortIcon>
            </th>
            <th style="width: 8rem"></th>
        </tr>
        <tr>

            <th>
                <p-tableHeaderCheckbox></p-tableHeaderCheckbox>
            </th>
            <th>
                <p-calendar (onClearClick)="dt.filter('', 'date', 'equals')" (onSelect)="onDateSelect($event)"
                            [readonlyInput]="true" [showButtonBar]="true" dateFormat="yy-mm-dd"
                            placeholder="Registration Date" styleClass="p-column-filter"></p-calendar>
            </th>
            <th>
                <input (input)="onActivityChange($event)" class="p-column-filter" pInputText placeholder="Minimum"
                       type="text">
            </th>

            <th>
                <p-multiSelect (onChange)="onRepresentativeChange($event)" [options]="representatives" optionLabel="name"
                               placeholder="All" styleClass="p-column-filter">
                    <ng-template let-option pTemplate="item">
                        <div class="p-multiselect-representative-option">
                            <span class="p-ml-1">{{option.label}}</span>
                        </div>
                    </ng-template>
                </p-multiSelect>
            </th>

            <th>
                <p-dropdown (onChange)="dt.filter($event.value, 'status', 'equals')" [options]="statuses"
                            [showClear]="true" placeholder="Select a Status" styleClass="p-column-filter">
                    <ng-template let-option pTemplate="item">
                        <span [class]="'customer-badge status-' + option.value">&#123;&#123;option.label&#125;&#125;</span>
                    </ng-template>
                </p-dropdown>
            </th>

            <th></th>
        </tr>
    </ng-template>
    <ng-template let-customer pTemplate="body">
        <tr class="p-selectable-row">
            <td>
                <p-tableCheckbox [value]="customer"></p-tableCheckbox>
            </td>
            <td>
                <span class="p-column-title">Name</span>
                {{customer.name}}
            </td>
            <td>
                <span class="p-column-title">Country</span>
                <span class="image-text">{{customer.country.name}}</span>
            </td>
            <td>
                <span class="p-column-title">Representative</span>
                <span class="image-text">{{customer.representative.name}}</span>
            </td>
            <td>
                <span class="p-column-title">Date</span>
                {{customer.date}}
            </td>
            <td>
                <span class="p-column-title">Status</span>
                <span [class]="'customer-badge status-' + customer.status">{{customer.status}}</span>
            </td>
            <td>
                <span class="p-column-title">Activity</span>
                <!--                <p-progressBar [value]="customer.activity" [showValue]="false"></p-progressBar>-->
            </td>
            <td style="text-align: center">
                <button class="p-button-secondary" icon="pi pi-cog" pButton type="button"></button>
            </td>
        </tr>
    </ng-template>
    <ng-template pTemplate="emptymessage">
        <tr>
            <td colspan="8">No customers found.</td>
        </tr>
    </ng-template>
</p-table>
